## ec2-instance-connect 1.1.12+dfsg1

=== Makefile ===
VERSION_FILE=./VERSION
pkgver=$(shell cat $(VERSION_FILE))
version = $(firstword $(subst -, ,$(pkgver)))
release = $(lastword $(subst -, ,$(pkgver)))

default: clean ;

deb:
	./bin/make_deb.sh $(version) $(release)

rpm:
	./bin/make_rpm.sh $(version) $(release)

clean:
	$(shell rm -rf ec2-instance-connect*)
	$(shell rm -rf ./rpmbuild/SOURCES)
	$(shell rm -rf ./deb-src)
	$(shell rm -rf ./srpm_results)
	$(shell rm -rf ./rpm_results)

## ec2-instance-connect 1.1.9

=== debian/changelog ===
ec2-instance-connect (1.1.9-0ubuntu3) eoan; urgency=low

  [ Daniel Anderson ]
  * Improved mechanism for detection if script is running on an EC2 instance
  * postinst: Removed modification of sshd_config introduced in 1.1-8
  * postinst: Better checks for existing AuthorizedKeysCommand* configuration

  [ Mathieu Trudel-Lapierre ]
  * debian/postinst: Fix regexes for matching/ignoring comments in sshd_config.

 -- Daniel Anderson <dnde@amazon.com>  Fri, 21 Jun 2019 16:43:06 -0400

ec2-instance-connect (1.1.8) xenial; urgency=low

  * postinst: Better detection of existing user customization

 -- Daniel Anderson <dnde@amazon.com>  Wed, 24 Apr 2019 17:36:31 -0800

ec2-instance-connect (1.1.7) xenial; urgency=low

  * Minor configuration change

 -- Daniel Anderson <dnde@amazon.com>  Fri, 29 Mar 2019 16:09:51 -0800

ec2-instance-connect (1.1.6) xenial; urgency=low

  * Verification of EC2 hypervisor UUID

 -- Daniel Anderson <dnde@amazon.com>  Wed, 20 Mar 2019 17:02:44 -0800

ec2-instance-connect (1.1.5) xenial; urgency=low

  * Additional checks to enforce scripts only run on EC2 instances

 -- Daniel Anderson <dnde@amazon.com>  Fri, 15 Mar 2019 11:20:03 -0800

ec2-instance-connect (1.1.4) xenial; urgency=high

  * Fixed a bug in reading instance-identity credentials
  * Removed  AWS CLI dependency
  * Hardened error handling
  * Cleaned up package to Canonical's release standards

 -- Daniel Anderson <dnde@amazon.com>  Wed, 30 Jan 2019 13:30:03 -0800

ec2-instance-connect (1.1.3) xenial; urgency=medium

  * Fixing an issue with the hostkey harvesting script - it was using default creds instead of instance-identity

 -- Daniel Anderson <dnde@amazon.com>  Fri, 21 Dec 2018 13:30:03 -0800

ec2-instance-connect (1.1.2) xenial; urgency=high

  * Initial Debian package version based on RPM packaging

 -- Daniel Anderson <dnde@amazon.com>  Fri, 7 Dec 2018 11:37:15 -0800

ec2-instance-connect (1.1.1) UNRELEASED; urgency=low

  * Hostkey harvesting for EC2 Instance Connect.

 -- Anshumali Prasad <anspr@amazon.com>  Tue, 23 Oct 2018 21:49:58 +0000

ec2-instance-connect (1.0.3) UNRELEASED; urgency=low

  * Updating exit status on no-data case, improving support for newer openssl versions

 -- Daniel Anderson <dnde@amazon.com>  Mon, 22 Oct 2018 12:49:33 -0700

ec2-instance-connect (1.0.2) UNRELEASED; urgency=low

  * Cleaning up package requirements & post installation hook

 -- Daniel Anderson <dnde@amazon.com>  Tue, 9 Oct 2018 15:45:03 -0700

ec2-instance-connect (1.0.1) UNRELEASED; urgency=low

  * Initial package build for EC2 Instance Connect targeting Amazon Linux 2

 -- Daniel Anderson <dnde@amazon.com>  Tue, 12 Jun 2018 15:45:34 -0700
 

=== debian/control ===
Source: ec2-instance-connect
Section: net
Priority: optional
Standards-Version: 4.1.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Anderson <dnde@amazon.com>
Build-Depends: debhelper (>= 9)

Package: ec2-instance-connect
Architecture: all
Homepage: https://aws.amazon.com/
Pre-Depends: adduser
Depends: ca-certificates, coreutils (>=8.0), curl, openssh-server (>=6.9.0), openssl, ${misc:Depends}
Description: Configures ssh daemon to accept EC2 Instance Connect ssh keys
 EC2 Instance Connect is a service that publishes ssh keys for use by EC2
 instances based on AWS Credentials. These keys are consumed by on-instance
 configuration provided by this package. The ssh daemon will query EC2
 Instance Metadata service for user-keys at ssh calltime, validate any if
 present as well as validating their signature, and if all checks pass return
 will include them in the authorized keys list.
 .
 In addition, there is an agent that harvests instance ssh host keys and
 passes them back to the service.  This is for authentication purposes by
 the EC2 console to open an in-browser ssh terminal connection.

## ec2-instance-connect 1.1.12%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to disable)
# output every command that modifies files on the build system.
#DH_VERBOSE=1

%:
	dh $@

## ec2-instance-connect 1.1.12+dfsg1

=== debian/changelog ===
ec2-instance-connect (1.1.12+dfsg1-0ubuntu3~16.04.2) xenial; urgency=medium

  * System startup now ignores failures on host key harvesting (LP: #1915345)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Mar 2021 21:04:31 +0200

ec2-instance-connect (1.1.12+dfsg1-0ubuntu3~16.04.1) xenial; urgency=medium

  * Verify that domain returned from IMDS is an AWS domain (LP: #1904741)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 18 Nov 2020 16:20:37 +0100

ec2-instance-connect (1.1.12+dfsg1-0ubuntu3~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 10 Feb 2020 21:26:44 +0100

ec2-instance-connect (1.1.12+dfsg1-0ubuntu3) focal; urgency=medium

  * debian/preinst: Don't remove ec2-instance-connect.conf manually on upgrade
  * debian/prerm: Drop obsolete file

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 10 Feb 2020 15:42:15 +0100

ec2-instance-connect (1.1.12+dfsg1-0ubuntu2) focal; urgency=medium

  * Ship ssh.service drop-in instead of handling placement in maintainer scripts
    (LP: #1861909)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 04 Feb 2020 18:39:50 +0100

ec2-instance-connect (1.1.12+dfsg1-0ubuntu1) focal; urgency=medium

  [ Balint Reczey ]
  * New upstream version 1.1.11:
    - Removing errant write to /tmp
    - Cleaning up bad bash practices, including umask race condition
    - Fix for an update to openssl (or dependencies) affecting behavior
      of CApath option on openssl verify
    - Fixing Nitro behavior of hostkey harvesting
    - Adding additional licensing headers
  * New upstream version 1.1.12 (LP: #1860142):
    - Adding support for Instance Metadata Service Version 2
    - Modifying cURL invocation to avoid need for eval
    - Cleaning up shellcheck catches
  * debian/install: Adjust for new upstream source layout
  * Suppress systemctl messages and ignore error in maintainer scripts
  * Bump compat level to 10

  [ LordAlfredo ]
  * Rely on debhelper to enable and start systemd service

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 17 Jan 2020 11:59:21 +0100

ec2-instance-connect (1.1.9-0ubuntu3~16.04.1) xenial; urgency=low

  [ Daniel Anderson ]
  * Improved mechanism for detection if script is running on an EC2 instance
  * postinst: Removed modification of sshd_config introduced in 1.1-8
  * postinst: Better checks for existing AuthorizedKeysCommand* configuration

  [ Mathieu Trudel-Lapierre ]
  * debian/postinst: Fix regexes for matching/ignoring comments in sshd_config.

 -- Daniel Anderson <dnde@amazon.com>  Fri, 21 Jun 2019 16:43:06 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Standards-Version: 4.1.4
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Anderson <dnde@amazon.com>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), dh-systemd
 
 Package: ec2-instance-connect
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 #DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with systemd

## ec2-instance-connect 1.1.14

=== debian/changelog ===
ec2-instance-connect (1.1.14-0ubuntu2) kinetic; urgency=medium

  * Add patch to fix parse authorized keys script
    to work with OpenSSL 3.0.2. (LP: #1973114)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 12 May 2022 10:58:05 +0530

ec2-instance-connect (1.1.14-0ubuntu1) hirsute; urgency=medium

  * Bugfix only upload
    Also contains test improvements which don't affect the package in Ubuntu.
  * New upstream version 1.1.13 (LP: #1915345):
    - System startup now ignores failures on host key harvesting.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Mar 2021 20:48:45 +0200

ec2-instance-connect (1.1.13-0ubuntu1) hirsute; urgency=medium

  * debian/copyright: Don't exclude debian/
    This is not needed with source format 3.0.
  * debian/gbp.conf: Add basic Ubuntu configuration
  * New upstream version 1.1.13 (LP: #1904741):
    - Verify that domain returned from IMDS is an AWS domain

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 18 Nov 2020 14:31:17 +0100

## ec2-instance-connect 1.1.17

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,22 @@
 rpm:
 	./bin/make_rpm.sh $(version) $(release)
 
+docker-build-rpm:
+	mkdir -p out
+	docker build -f docker/generic/Dockerfile . -t eic-rpm-builder -q
+	docker run -i --mount type=bind,source="$(shell pwd)/out",target=/out eic-rpm-builder
+
+docker-build-deb:
+	mkdir -p out
+	docker build -f docker/ubuntu/Dockerfile . -t eic-deb-builder -q
+	docker run -i --mount type=bind,source="$(shell pwd)/out",target=/out eic-deb-builder
+
+docker-build:: docker-build-rpm docker-build-deb
+
 clean:
 	$(shell rm -rf ec2-instance-connect*)
 	$(shell rm -rf ./rpmbuild/SOURCES)
 	$(shell rm -rf ./deb-src)
 	$(shell rm -rf ./srpm_results)
 	$(shell rm -rf ./rpm_results)
+	$(shell rm -rf ./out)

=== debian/changelog ===
ec2-instance-connect (1.1.17-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:25:42 +0100

ec2-instance-connect (1.1.17-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2018597).
  * Drop d/p/fix-parse-auth-keys-w-openssl-3.0.2.patch applied upstream.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 05 May 2023 13:37:09 +0200
